> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer Status



## OpenAPI

````yaml https://api.heydollr.app/openapi.json get /{version}/status/transfer/{reference_id}
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/status/transfer/{reference_id}:
    get:
      tags:
        - status
      summary: Get Transfer Status
      operationId: get_transfer_status__version__status_transfer__reference_id__get
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
        - name: reference_id
          in: path
          required: true
          schema:
            type: string
            title: Transaction reference ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ExecutionResponse:
      properties:
        reference_id:
          type: string
          title: Reference Id
        provider_transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Transaction Id
        status:
          type: string
          title: Status
        payer_amount:
          anyOf:
            - type: number
            - type: integer
          title: Payer Amount
        payer_currency:
          type: string
          title: Payer Currency
        payee_currency:
          type: string
          title: Payee Currency
        payee_amount:
          anyOf:
            - type: number
            - type: integer
          title: Payee Amount
        operation_type:
          type: string
          title: Operation Type
        gateway_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway Message
        wallet_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Wallet Message
        client_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Secret
        requires_action:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Requires Action
      type: object
      required:
        - reference_id
        - status
        - payer_amount
        - payer_currency
        - payee_currency
        - payee_amount
        - operation_type
      title: ExecutionResponse
      description: ExecutionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````